package com.yonge.cooleshow.biz.dal.dto.search;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.yonge.toolset.base.page.QueryInfo;

public class PlatformCashAccountRecordSearch extends QueryInfo {

	@ApiModelProperty("关联订单号")
	private String orderNo;
	
	@ApiModelProperty("业务编号")
	private Long bizId;
	
	@ApiModelProperty("收支类型（IN-收入  OUT-支出）")
	private String inOrOut;
	
	@ApiModelProperty("业务类型：PRACTICE、陪练课 LIVE、直播课 VIDEO、视频课 MUSIC、乐谱")
	private String bizType;
	
	@ApiModelProperty("入账状态 WAIT 待入账 RECORDED 已入账 CANCEL 退费")
	private String status;
	
	@ApiModelProperty("记录开始时间")
	private Date startDate;
	
	@ApiModelProperty("记录结束时间")
	private Date endDate;

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public Long getBizId() {
		return bizId;
	}

	public void setBizId(Long bizId) {
		this.bizId = bizId;
	}

	public String getInOrOut() {
		return inOrOut;
	}

	public void setInOrOut(String inOrOut) {
		this.inOrOut = inOrOut;
	}

	public String getBizType() {
		return bizType;
	}

	public void setBizType(String bizType) {
		this.bizType = bizType;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
}
